"""
Tests for getting info from port project.
"""
import pytest

import port


@pytest.fixture(scope="class")
def spf_example_info(spf_example_project):
    """Return the info dict."""
    info = port.info(spf_example_project)
    return info


class TestInfo:
    """Test case for getting port project info."""

    def test_info(self, spf_example_info):
        """Get info, test basics."""
        assert isinstance(spf_example_info, dict)
        assert len(spf_example_info)
        assert spf_example_info["spf_version"] == port.__version__
